"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var composition_api_1 = require("@vue/composition-api");
function useMouse(el) {
    var docX = composition_api_1.ref(0);
    var docY = composition_api_1.ref(0);
    var elX = composition_api_1.ref(0);
    var elY = composition_api_1.ref(0);
    var mouseMoveHandler = function (e) {
        docX.value = e.pageX;
        docY.value = e.pageY;
        if (!el || !el.value)
            return;
        var _a = el.value.getBoundingClientRect(), left = _a.left, top = _a.top;
        var posX = left + window.pageXOffset;
        var posY = top + window.pageYOffset;
        elX.value = e.pageX - posX;
        elY.value = e.pageY - posY;
    };
    composition_api_1.onMounted(function () {
        document.addEventListener('mousemove', mouseMoveHandler);
    });
    composition_api_1.onUnmounted(function () {
        document.removeEventListener('mousemove', mouseMoveHandler);
    });
    return {
        docX: docX,
        docY: docY,
        elX: elX,
        elY: elY
    };
}
exports.useMouse = useMouse;
